
#include <bits/stdc++.h>
using namespace std;
#define int long long
map<int, int> mp;
set<int> s;
signed main() {
	int n,m; cin >> n >> m;
	long long ma = 0;
	for (int i =1; i<=m;i++) {
		int x; cin >> x;
		mp[x]++;
		if(mp[x] >= n)
			s.insert(x);
	} 
	 cout << s.size() << '\n';
	for (auto k : s) cout << k << ' ';
}
